%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
%define with_eclipse 1

Name:          hibernate3-tools
Version:       3.2.4
Release:       %mkrel 1
Summary:       Hibernate tools
Group:         Development/Java
License:       LGPL
Url:           http://www.hibernate.org/
# svn export http://anonsvn.jboss.org/repos/hibernate/tags/TOOLS_3_2_4_GA/tools/ hibernate-tools-3.2.4.GA
# tar czf hibernate-tools-3.2.4.GA-src-svn.tar.gz hibernate-tools-3.2.4.GA
Source0:       hibernate-tools-3.2.4.GA-src-svn.tar.gz
# svn export http://anonsvn.jboss.org/repos/hibernate/tags/TOOLS_3_2_4_GA/common
# rm -rf common/lib/checkstyle-all-4.0-beta4.jar
# tar czf hibernate-tools-common-3.2.4.GA-src-svn.tar.gz common
Source1:       hibernate-tools-common-3.2.4.GA-src-svn.tar.gz
# mkdir -p hibernate-3.2/doc/api && cd hibernate-3.2/doc/api
# svn export http://anonsvn.jboss.org/repos/hibernate/tags/TOOLS_3_2_4_GA/jpa-api/etc/jdstyle.css
# tar czf hibernate-tools-jdstyle-3.2.4.GA-src-svn.tar.gz hibernate-3.2
Source2:       hibernate-tools-jdstyle-3.2.4.GA-src-svn.tar.gz
# from http://repository.jboss.org/maven2/org/hibernate/hibernate-tools/3.2.4.GA/hibernate-tools-3.2.4.GA.pom
# changed  groupId org.hibernate in net.sf.jtidy and version r8-20060801 in 1.0
Source4:       hibernate-tools-3.2.4.GA-modified.pom
Patch0:        hibernate3-tools-build.patch
Patch1:        hibernate3-tools-common-build.patch
# https://hibernate.onjira.com/secure/attachment/15091/hibernate-tools.patch
Patch2:        hibernate3-tools-SchemaByMetaDataDetector.patch
Patch3:        hibernate3-tools-JDBCMetaDataConfiguration.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: antlr
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-logging
BuildRequires: cglib
BuildRequires: dom4j
%if %with_eclipse
BuildRequires: eclipse-jdt
BuildRequires: eclipse-platform
BuildRequires: eclipse-rcp
%endif
BuildRequires: freemarker >= 2.3.13-14
BuildRequires: hibernate3

BuildRequires: jtidy
Requires:      bsh2
Requires:      freemarker >= 2.3.13-14
Requires:      jtidy

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Working with Hibernate is very easy and developers enjoy
using the APIs and the query language. Even creating mapping
metadata is not an overly complex task once you've mastered
the basics. Hibernate Tools makes working with Hibernate or
EJB 3.0 persistence even more pleasant.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-tools-%{namedversion} -a1 -a2
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -p0
%patch3 -p0

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;
mkdir -p hibernate-3.2/build
ln -sf $(build-classpath hibernate3-core) hibernate-3.2/build/hibernate3.jar
mkdir -p hibernate-3.2/lib
ln -sf $(build-classpath cglib) hibernate-3.2/lib
ln -sf $(build-classpath freemarker) lib
%if %with_eclipse
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar lib
ln -sf %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core_*.jar lib
ln -sf %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar lib
%else
rm src/java/org/hibernate/tool/ide/formatting/JavaFormatter.java
rm src/java/org/hibernate/tool/ant/JavaFormatterTask.java
%endif
ln -sf $(build-classpath ant) lib
ln -sf $(build-classpath antlr) lib
ln -sf $(build-classpath commons-collections) lib
ln -sf $(build-classpath commons-logging) lib
ln -sf $(build-classpath dom4j) lib
ln -sf $(build-classpath jtidy) lib

rm -r src/test/*

%build

export CLASSPATH=
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/junit`
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/hibernate-tools/hibernate-tools.jar \
  %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 target/hibernate-tools/hibernate-tools-tests.jar \
  %{buildroot}%{_javadir}/%{name}-tests.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE4} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/hibernate-tools/doc/api/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-tests.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Oct 28 2011 gil <gil> 3.2.4-1.mga2
+ Revision: 158991
- imported package hibernate3-tools

